Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.plugins.sbml._test
Class DefaultTestLogger

    java.lang.Object
      biouml.plugins.sbml._test.DefaultTestLogger

All Implemented Interfaces:
  TestLogger

Direct Known Subclasses:
  HtmlStatisticsLogger

public class DefaultTestLogger
extends java.lang.Object
implements TestLogger

Field Summary
`protected java.lang.String` | `currentCategory`
`protected java.lang.String` | `currentTest`
`protected int` | `errorNumber`
`protected java.lang.Exception` | `exception`
`protected static org.apache.log4j.Category` | `log`
`int` | `MAX_ERROR_NUMBER`
`int` | `MAX_WARNING_NUMBER`
`protected java.lang.String` | `messages`
`protected long` | `simCompleted`
`protected long` | `simStarted`
`protected int` | `status`
`protected int` | `warningNumber`

Constructor Summary
`DefaultTestLogger(java.lang.String title)`

Method Summary
`void` | `categoryStarted(java.lang.String category)`
`void` | `complete()`
`void` | `error(java.lang.Exception e)`
`void` | `error(int status, java.lang.String message)`
`java.lang.String` | `getCurrentCategory()`
`java.lang.String` | `getCurrentTest()`
`java.lang.Exception` | `getException()`
`java.lang.String` | `getMessages()`
`long` | `getSimulationTime()`
`int` | `getStatus()`
`void` | `simulationCompleted()`
`void` | `simulationStarted()`
`void` | `testCompleted()`
`void` | `testStarted(java.lang.String testName)`
`void` | `warn(java.lang.String message)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static org.apache.log4j.Category log

### MAX_ERROR_NUMBER

    public int MAX_ERROR_NUMBER

### MAX_WARNING_NUMBER

    public int MAX_WARNING_NUMBER

### errorNumber

    protected int errorNumber

### warningNumber

    protected int warningNumber

### currentCategory

    protected java.lang.String currentCategory

### currentTest

    protected java.lang.String currentTest

### status

    protected int status

### messages

    protected java.lang.String messages

### exception

    protected java.lang.Exception exception

### simStarted

    protected long simStarted

### simCompleted

    protected long simCompleted

Constructor Detail

### DefaultTestLogger

    public DefaultTestLogger(java.lang.String title)

Method Detail

### getCurrentCategory

    public java.lang.String getCurrentCategory()

  Specified by:
    `getCurrentCategory` in interface `TestLogger`

### categoryStarted

    public void categoryStarted(java.lang.String category)

  Specified by:
    `categoryStarted` in interface `TestLogger`

### getCurrentTest

    public java.lang.String getCurrentTest()

  Specified by:
    `getCurrentTest` in interface `TestLogger`

### testStarted

    public void testStarted(java.lang.String testName)

  Specified by:
    `testStarted` in interface `TestLogger`

### getStatus

    public int getStatus()

  Specified by:
    `getStatus` in interface `TestLogger`

### getMessages

    public java.lang.String getMessages()

  Specified by:
    `getMessages` in interface `TestLogger`

### getException

    public java.lang.Exception getException()

  Specified by:
    `getException` in interface `TestLogger`

### warn

    public void warn(java.lang.String message)

  Specified by:
    `warn` in interface `TestLogger`

### error

    public void error(java.lang.Exception e)

  Specified by:
    `error` in interface `TestLogger`

### error

    public void error(int status,
                      java.lang.String message)

  Specified by:
    `error` in interface `TestLogger`

### testCompleted

    public void testCompleted()

  Specified by:
    `testCompleted` in interface `TestLogger`

### simulationStarted

    public void simulationStarted()

  Specified by:
    `simulationStarted` in interface `TestLogger`

### simulationCompleted

    public void simulationCompleted()

  Specified by:
    `simulationCompleted` in interface `TestLogger`

### getSimulationTime

    public long getSimulationTime()

  Specified by:
    `getSimulationTime` in interface `TestLogger`

### complete

    public void complete()

  Specified by:
    `complete` in interface `TestLogger`

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.